package config;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

public class Config {
    String BaseUrl;
    String Email;
    String Password;
    String SearchProduct;
    String InvalidCNIC;

    public String getBaseUrl() {
        return BaseUrl;
    }

    public String getEmail() {
        return Email;
    }

    public String getPassword() {
        return Password;
    }

    public String getSearchProduct() {
        return SearchProduct;
    }
    public String getInvalidCNIC() {
        return InvalidCNIC;
    }

    public static Properties fileUtil() throws IOException {
        File src = new File("src/Input.properties");
        FileInputStream file = new FileInputStream(src);
        Properties prop = new Properties();
        prop.load(file);
        return prop;
    }

    public Config() throws IOException {
        this.BaseUrl = fileUtil().getProperty("baseurl");
        this.Email = fileUtil().getProperty("email");
        this.Password = fileUtil().getProperty("password");
        this.SearchProduct = fileUtil().getProperty("searchproduct");
        this.InvalidCNIC = fileUtil().getProperty("invalidCNIC");
    }
}
